
D4Science Infrastructure - Support #587

Upgrade cluster mongodb to version 2.6 with authentication

Sep 11, 2015 11:14 AM - Roberto Cirillo

Status: Closed Start date: Sep 11, 2015

Priority: High Due date:  

Assignee: Roberto Cirillo % Done: 100%

Category: System Application Estimated time: 0.00 hour

Infrastructure: Development   

Description

The current version of mongodb is 2.4.3. First, we must upgrade mongodb to version 2.6 and after we could upgrade mongodb to the

last stable version 3.0

Subtasks:

Support # 588: upgrade cluster mongodb to version 2.6 Closed

Support # 589: StorageManager library: upgrade java driver library to version 3.0 Closed

Support # 590: Upgrade mongoDB dev node to ubuntu 14.04 Closed

Support # 599: Storage-manager-trigger for accounting: verify oplog compatibility for m... Closed

Support # 1011: Enable authentication in mongodb 2.6. and check compatibily with storag... Closed

History

#1 - Oct 14, 2015 10:57 AM - Roberto Cirillo

- Subject changed from Upgrade cluster mongodb to version 3.0 to Upgrade cluster mongodb to version 2.6 with authentication

#2 - Nov 03, 2015 04:53 PM - Roberto Cirillo

- Status changed from New to Closed

The mongoDB cluster has been upgraded to version 2.6. The upgrade to version 3.0.0 won't be done in release 3.9
